curl --request GET \
--url https://api.quiverquant.com/beta/historical/dailyprices/{ticker} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiverquant.com/beta/historical/dailyprices/{ticker}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiverquant.com/beta/historical/dailyprices/{ticker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiverquant.com/beta/historical/dailyprices/{ticker}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiverquant.com/beta/historical/dailyprices/{ticker}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiverquant.com/beta/historical/dailyprices/{ticker}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiverquant.com/beta/historical/dailyprices/{ticker}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"Date": "2023-12-25",
"Ticker": "<string>",
"CompositeFIGI": "<string>",
"ShareClassFIGI": "<string>",
"Open": 123,
"High": 123,
"Low": 123,
"Close": 123,
"Volume": 123,
"AdjOpen": 123,
"AdjHigh": 123,
"AdjLow": 123,
"AdjClose": 123,
"AdjVolume": 123,
"CorporateAction": "<string>",
"CorporateActionValue": "<string>"
}
]Historical Daily Prices
Returns daily end-of-day equity prices (open, high, low, close, volume) for the given ticker, newest first, from 2014 onward. Includes split- and dividend-adjusted prices and any corporate actions (dividends, splits, ticker changes) effective on each date. Optional date_from / date_to (YYYYMMDD) bound the date range; results are paginated via page (1-based) and page_size (default and max 5000).
curl --request GET \
--url https://api.quiverquant.com/beta/historical/dailyprices/{ticker} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiverquant.com/beta/historical/dailyprices/{ticker}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiverquant.com/beta/historical/dailyprices/{ticker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiverquant.com/beta/historical/dailyprices/{ticker}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiverquant.com/beta/historical/dailyprices/{ticker}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiverquant.com/beta/historical/dailyprices/{ticker}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiverquant.com/beta/historical/dailyprices/{ticker}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"Date": "2023-12-25",
"Ticker": "<string>",
"CompositeFIGI": "<string>",
"ShareClassFIGI": "<string>",
"Open": 123,
"High": 123,
"Low": 123,
"Close": 123,
"Volume": 123,
"AdjOpen": 123,
"AdjHigh": 123,
"AdjLow": 123,
"AdjClose": 123,
"AdjVolume": 123,
"CorporateAction": "<string>",
"CorporateActionValue": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Ticker for any given stock
Query Parameters
Date to query from in YYYYMMDD format
Date to query to in YYYYMMDD format
Page number
Items / page
Response
Trading date
Ticker as traded on the given date
Composite FIGI identifier
Share class FIGI identifier
Opening price
High price
Low price
Closing price
Shares traded
Opening price adjusted for splits and dividends
High price adjusted for splits and dividends
Low price adjusted for splits and dividends
Closing price adjusted for splits and dividends
Shares traded adjusted for splits
Corporate action(s) effective on this date, comma-separated: dividend, split, spinoffdividend, tickerchangefrom. Null when there is none.
Value of the corporate action: dividend amount per share, split ratio, or the previous ticker for a ticker change

